Skip to main content

Get Customer objects matching the supplied search criteria

GET 

/calendar-backend/api/v1/customers

Get Customer objects matching the supplied search criteria. Limit and Offset parameters are ignored, use the /search endpoint instead. Currently, only search by firstName, lastName and externalId/cardNumber is implemented.

    • Search by field: /search?lastName=Simpson
    • Search by related object: Not applicable to Customer since the Customer object has no direct relationships with any other entities.

Responses​

A Json list of com.qmatic.qp.calendar.rest.dto.CustomerDTO